---
title: RTCIceCandidatePairStats.availableIncomingBitrate
slug: Web/API/RTCIceCandidatePairStats/availableIncomingBitrate
tags:
  - API
  - Bandwidth
  - Bit Rate
  - Bitrate
  - Candidate
  - Connection
  - Network
  - Pair
  - RTCIceCandidatePairStats
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - availableIncomingBitrate
  - priority
  - speed
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The {{domxref("RTCIceCandidatePairStats")}} property <strong><code>availableIncomingBitrate</code></strong> returns a value indicative of the available inbound capacity of the network connection represented by the candidate pair.</span> The higher the value, the more bandwidth you can assume is available for incoming data.</p>

<p>You can get the incoming outgoing bitrate from {{domxref("RTCIceCandidatePairStats.availableoutgoingBitrate", "availableoutgoingBitrate")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>availableIncomingBitrate</em> = <em>rtcIceCandidatePairStats</em>.availableIncomingBitrate;</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value which approximates the amount of available bandwidth for incoming data on the network connection described by the <code>RTCIceCandidatePair</code>. The value is reported in bits per second and is computed over a 1-second interval.</p>

<p>The value returned is calculated by adding up the available bit rate for every {{Glossary("RTP")}} stream using the connection described by this candidate pair. The returned value doesn't take into account overhead introduced by underlying protocols, including IP, UDP, or TCP.</p>

<div class="notecard note">
<p><strong>Note:</strong> The returned value is computed using a method similar—but not identical—to the Transport Independent Application Specific Maximum (TIAS) described in {{RFC(3890, "6.2")}}.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatepairstats-availableincomingbitrate', 'RTCIceCandidatePairStats.availableIncomingBitrate') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidatePairStats.availableIncomingBitrate")}}</p>
